//~~~~~~~~~~~~~~~~~~~~~~SKY~~~~~~~~~~~~~~~~~~~
textures/shawn/hossky
{
	qer_editorimage textures/shawn/env/dark_night1_up.tga
	skyParms textures/shawn/env/dark_night1 - -
	q3map_sunEXT 0.94 0.91 0.95 80 180 50 3 16
	q3map_skyLight 80 5
	//q3map_lightsubdivide 768

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

textures/shawn/hossky2
{
	qer_editorimage textures/shawn/env/dark_night1_up.tga
	skyParms textures/shawn/env/dark_night1 - -
	q3map_sunEXT 0.94 0.91 0.95 90 90 60 3 16
	q3map_skyLight 90 5
	//q3map_lightsubdivide 768
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

//~~~~~~~~~~~~~~~~~~~~~~PHONG~~~~~~~~~~~~~~~~~~~
textures/shawn/whitetiles_phong
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/shawn/whitetiles.tga
	{
		map $lightmap
		rgbGen identity
	}   
	{
		map textures/shawn/whitetiles.tga
		blendFunc filter
	}
}

textures/shawn/ceiling_lamp
{
	q3map_nonplanar
	q3map_shadeangle 120 	
	qer_editorimage textures/shawn/poly_ceiling.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/shawn/poly_ceiling.tga
 		blendFunc filter
 	}
}

textures/shawn/ceiling_phong
{
	q3map_nonplanar
	q3map_shadeangle 120
 	qer_editorimage textures/shawn/poly_ceiling.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/shawn/poly_ceiling.tga
 		blendFunc filter
 	}
}

textures/shawn/dirt
{
	q3map_nonplanar
	q3map_shadeangle 120 	
	qer_editorimage textures/demolition/dirt_2.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/demolition/dirt_2.tga
 		blendFunc filter
 	}
}

textures/shawn/steel_phong
{
	q3map_nonplanar
	q3map_shadeangle 120 	
	qer_editorimage textures/shawn/steel.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/shawn/steel.tga
 		blendFunc filter
 	}
}

//~~~~~~~~~~~~~~~~~~~~~~LIGHTS~~~~~~~~~~~~~~~~~~~
textures/shawn/exit
{
	qer_editorimage textures/shawn/exit.tga
	q3map_surfacelight 10
	nopicmip
	{
		map textures/shawn/exit.tga
		rgbgen identity
	}
	{
		map textures/shawn/exit_blend.tga
		blendfunc add
		//rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/shawn/windowhp_light
{
	qer_editorimage textures/shawn/windowhp.tga
	{	
		map textures/shawn/windowhp.tga
	}
	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/shawn/windowhp.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

models/mapobjects/br_suburbs/br_bulb1
{
    qer_editorimage models/mapobjects/br_suburbs/br_bulb1.tga
    q3map_surfacelight 200
    q3map_lightRGB 0.988 1 0.780// sets color, this has a green yellow tinge
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map models/mapobjects/br_suburbs/br_bulb1.tga
    }
}

models/mapobjects/br_suburbs/br_bulb2
{
    qer_editorimage models/mapobjects/br_suburbs/br_bulb2.tga
    q3map_surfacelight 200
    q3map_lightRGB 0.988 1 0.780// sets color, this has a green yellow tinge
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map models/mapobjects/br_suburbs/br_bulb2.tga
    }
}

textures/shawn/hp_fence
{
	qer_editorimage textures/shawn/hp_fence.tga
      surfaceparm trans		
	cull disable
      nopicmip
      nomipmaps       

	{
		map textures/shawn/hp_fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/shawn/bluewindow
{

        {
		map textures/shawn/bluewindow.tga
	}
	{
		map textures/shawn/hp_reflect.jpg
		tcGen environment
		blendfunc add
		rgbGen identitylighting
	}
	{
		map $lightmap
		rgbGen identitylighting
		blendFunc Filter
	}
}